| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::GenericCapabilityFilter< T > Class Template Reference
Utililty classes

The GenericCapabilityFilter class provides a generic filter object to be used to filter objects by capabilities. More...

`#include <TelepathyQt/GenericCapabilityFilter>`

Inherits Tp::Filter< T >.

List of all members.

## Public Member Functions

- virtual ~GenericCapabilityFilter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const
- RequestableChannelClassSpecList filter () const
- void addRequestableChannelClassSubset (const RequestableChannelClassSpec &rccSpec)
- void setRequestableChannelClassesSubset (const RequestableChannelClassSpecList &rccSpecs)

## Static Public Member Functions

- static SharedPtr
  < GenericCapabilityFilter< T > > create (const RequestableChannelClassSpecList &rccSpecs=RequestableChannelClassSpecList())

## Detailed Description

### template<class T>
class Tp::GenericCapabilityFilter< T >

The GenericCapabilityFilter class provides a generic filter object to be used to filter objects by capabilities.

The objects used in conjunction with this filter must implement a method called capabilities() returning a CapabilitiesBase (or a subclass of it) instance. Specialized classes such as AccountCapabilityFilter are also provided and should be used where appropriate.

## Constructor & Destructor Documentation

template<class T >

virtual Tp::GenericCapabilityFilter< T >::~GenericCapabilityFilter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T >

static SharedPtr<GenericCapabilityFilter<T> > Tp::GenericCapabilityFilter< T >::create | ( | const RequestableChannelClassSpecList & | rccSpecs = `RequestableChannelClassSpecList()` | ) | `[inline, static]`

template<class T >

virtual bool Tp::GenericCapabilityFilter< T >::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

template<class T >

virtual bool Tp::GenericCapabilityFilter< T >::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

template<class T >

RequestableChannelClassSpecList Tp::GenericCapabilityFilter< T >::filter | ( |  | ) | const`[inline]`

template<class T >

void Tp::GenericCapabilityFilter< T >::addRequestableChannelClassSubset | ( | const RequestableChannelClassSpec & | rccSpec | ) | `[inline]`

template<class T >

void Tp::GenericCapabilityFilter< T >::setRequestableChannelClassesSubset | ( | const RequestableChannelClassSpecList & | rccSpecs | ) | `[inline]`